version: "3"

services:
  client-app:
    build:
      dockerfile: Dockerfile.development
    volumes:
      - ./client-application:/app
      - ./client-application/node_modules:/app/node_modules
      - ./client-application/.next:/app/.next
    ports:
      - 9229:9229
    environment:
      AUDIO_OUTPUT_DISABLED: "true"

  colyseus:
    build:
      dockerfile: Dockerfile.development
    volumes:
      - ./colyseus-server:/app
      - ./colyseus-server/node_modules:/app/node_modules
    ports:
      - 2567:2567

  textpad:
    build:
      dockerfile: Dockerfile.development
    volumes:
      - ./textpad-server:/app
      - ./textpad-server/node_modules:/app/node_modules
    ports: 
      - 3030:3030

  directus:
    build: 
      context: ./directus
      dockerfile: Dockerfile.development
    volumes: 
      - ./directus/entrypoint.dev:/usr/local/bin/entrypoint
    ports:
      - 8055:8055

  nginx:
    volumes:
      - ./nginx/development.conf:/etc/nginx/conf.d/default.conf
      - ./nginx/certs/together.localhost:/etc/nginx/certs/together.localhost
      - ./nginx/certs/api.together.localhost:/etc/nginx/certs/api.together.localhost
      - ./nginx/certs/mailhog.together.localhost:/etc/nginx/certs/mailhog.together.localhost
    ports:
      - 443:443
  
  mailhog:
    ports: 
      - 8025:8025
